Description

Hello!

I found Bug in new Foreman 1.8.0.

When I create the compute profile and fill the field "Template". I can choose template from the compute resource, but it does not load

information about network interface and volumes (only loads information about cores and memory).

The same problem with the creation of the VM.

You can look at the screenshot, opposite field "Template", you can see the download icon, it never disappears.

Thaks.

History

#1 - 04/30/2015 05:04 AM - Dominic Cleal

- Category set to Compute resources - oVirt

- Priority changed from High to Normal

Could you tail -f /var/log/foreman/production.log as you select the template please and attach any logs that it makes while this runs?  It might be best

if you can enable debugging first: http://projects.theforeman.org/projects/foreman/wiki/Troubleshooting#How-do-I-enable-debugging

#2 - 04/30/2015 07:28 AM - Mihail Sergeenkov

Started GET "/compute_profiles/5-SLES11SP3%20TEST%20SSH" for 192.168.2.205 at 2015-04-30 11:21:26 +0300

2015-04-30 11:21:26 [I] Processing by ComputeProfilesController#show as HTML

2015-04-30 11:21:26 [I]   Parameters: {"id"=>"5-SLES11SP3 TEST SSH"}

2015-04-30 11:21:26 [D]   User Load (0.4ms)  SELECT "users".* FROM "users" WHERE "users"."id" = $1 LIMIT 1  [[

"id", 3]]

2015-04-30 11:21:26 [D] Setting current user thread-local variable to root

2015-04-30 11:21:26 [D]   AuthSource Load (0.5ms)  SELECT "auth_sources".* FROM "auth_sources" WHERE "auth_sou

rces"."id" = 1 LIMIT 1

2015-04-30 11:21:26 [D]   ComputeProfile Load (0.3ms)  SELECT "compute_profiles".* FROM "compute_profiles" WHE

RE "compute_profiles"."name" = '5-SLES11SP3 TEST SSH' ORDER BY compute_profiles.name LIMIT 1

2015-04-30 11:21:26 [D]   ComputeProfile Load (0.2ms)  SELECT "compute_profiles".* FROM "compute_profiles" WHE

RE "compute_profiles"."id" = $1 ORDER BY compute_profiles.name LIMIT 1  [["id", "5-SLES11SP3 TEST SSH"]]

2015-04-30 11:21:26 [D]   ComputeResource Load (0.4ms)  SELECT "compute_resources".* FROM "compute_resources" 

ORDER BY compute_resources.name

2015-04-30 11:21:26 [D]   ComputeAttribute Load (0.3ms)  SELECT "compute_attributes".* FROM "compute_attribute

s" WHERE "compute_attributes"."compute_profile_id" = 5 AND "compute_attributes"."compute_resource_id" = 1 LIMI

T 1

2015-04-30 11:21:26 [D]   ComputeAttribute Load (0.4ms)  SELECT "compute_attributes".* FROM "compute_attribute

s" WHERE "compute_attributes"."compute_resource_id" = 1 AND "compute_attributes"."compute_profile_id" = 5 LIMI

T 1

2015-04-30 11:21:26 [I]   Rendered compute_profiles/show.html.erb within layouts/application (10.3ms)

2015-04-30 11:21:26 [I]   Rendered home/_user_dropdown.html.erb (2.0ms)

2015-04-30 11:21:26 [I] Read fragment views/tabs_and_title_records-3 (0.1ms)

2015-04-30 11:21:26 [I]   Rendered home/_topbar.html.erb (3.5ms)

2015-04-30 11:21:26 [I]   Rendered layouts/base.html.erb (6.4ms)

2015-04-30 11:21:26 [I] Completed 200 OK in 31ms (Views: 17.9ms | ActiveRecord: 2.7ms)

2015-04-30 11:21:58 [I] 

Started GET "/compute_profiles/5-SLES11SP3%20TEST%20SSH/compute_resources/1-oVirt/compute_attributes/new" for 

192.168.2.205 at 2015-04-30 11:21:58 +0300
2015-04-30 11:21:58 [I] Processing by ComputeAttributesController#new as */*

2015-04-30 11:21:58 [I]   Parameters: {"compute_profile_id"=>"5-SLES11SP3 TEST SSH", "compute_resource_id"=>"1

-oVirt"}

2015-04-30 11:21:58 [D]   User Load (0.5ms)  SELECT "users".* FROM "users" WHERE "users"."id" = $1 LIMIT 1  [[

"id", 3]]

2015-04-30 11:21:58 [D] Setting current user thread-local variable to root

2015-04-30 11:21:58 [D]   AuthSource Load (0.3ms)  SELECT "auth_sources".* FROM "auth_sources" WHERE "auth_sou

rces"."id" = 1 LIMIT 1

2015-04-30 11:21:58 [D]   ComputeResource Load (0.3ms)  SELECT "compute_resources".* FROM "compute_resources" 

WHERE "compute_resources"."id" = 1 ORDER BY compute_resources.name LIMIT 1

2015-04-30 11:21:58 [D]   ComputeProfile Load (0.3ms)  SELECT "compute_profiles".* FROM "compute_profiles" WHE

RE "compute_profiles"."id" = 5 ORDER BY compute_profiles.name LIMIT 1

2015-04-30 11:21:58 [D]   ComputeProfile Load (0.2ms)  SELECT "compute_profiles".* FROM "compute_profiles" ORD

ER BY compute_profiles.name

2015-04-30 11:21:58 [D]   ComputeResource Load (0.3ms)  SELECT "compute_resources".* FROM "compute_resources" 

ORDER BY compute_resources.name

2015-04-30 11:21:58 [D]   ComputeResource Exists (0.2ms)  SELECT 1 AS one FROM "compute_resources" WHERE ("com

pute_resources"."name" = 'oVirt' AND "compute_resources"."id" != 1) LIMIT 1

2015-04-30 11:21:58 [I] Successfully decrypted field for Foreman::Model::Ovirt oVirt

2015-04-30 11:21:58 [I] Successfully decrypted field for Foreman::Model::Ovirt oVirt

2015-04-30 11:22:00 [D]    (0.6ms)  SELECT COUNT(*) FROM "images" WHERE "images"."compute_resource_id" = 1

2015-04-30 11:22:00 [I]   Rendered compute_resources_vms/form/ovirt/_base.html.erb (1490.0ms)

2015-04-30 11:22:01 [I]   Rendered compute_resources_vms/form/ovirt/_network.html.erb (1075.7ms)

2015-04-30 11:22:01 [I]   Rendered compute_resources_vms/form/_networks.html.erb (1077.1ms)

2015-04-30 11:22:02 [I]   Rendered compute_resources_vms/form/ovirt/_volume.html.erb (392.4ms)

2015-04-30 11:22:02 [I]   Rendered compute_resources_vms/form/_volumes.html.erb (394.1ms)

2015-04-30 11:22:02 [I]   Rendered compute_attributes/_compute_form.html.erb (2962.6ms)

2015-04-30 11:22:02 [I]   Rendered compute_attributes/_form.html.erb (3834.6ms)

2015-04-30 11:22:02 [I]   Rendered compute_attributes/new.html.erb (3836.8ms)

2015-04-30 11:22:02 [I] Completed 200 OK in 3846ms (Views: 3836.5ms | ActiveRecord: 2.6ms)

2015-04-30 11:22:02 [I] 

Started GET "/compute_profiles/5-SLES11SP3%20TEST%20SSH/compute_resources/1-oVirt/compute_attributes/new" for 

192.168.2.205 at 2015-04-30 11:22:02 +0300

2015-04-30 11:22:02 [I] Processing by ComputeAttributesController#new as */*

2015-04-30 11:22:02 [I]   Parameters: {"compute_profile_id"=>"5-SLES11SP3 TEST SSH", "compute_resource_id"=>"1

-oVirt"}

2015-04-30 11:22:02 [D]   User Load (0.3ms)  SELECT "users".* FROM "users" WHERE "users"."id" = $1 LIMIT 1  [[

"id", 3]]

2015-04-30 11:22:02 [D] Setting current user thread-local variable to root

2015-04-30 11:22:02 [D]   AuthSource Load (0.2ms)  SELECT "auth_sources".* FROM "auth_sources" WHERE "auth_sou

rces"."id" = 1 LIMIT 1

2015-04-30 11:22:02 [D]   ComputeResource Load (0.5ms)  SELECT "compute_resources".* FROM "compute_resources" 

WHERE "compute_resources"."id" = 1 ORDER BY compute_resources.name LIMIT 1

2015-04-30 11:22:02 [D]   ComputeProfile Load (0.4ms)  SELECT "compute_profiles".* FROM "compute_profiles" WHE

RE "compute_profiles"."id" = 5 ORDER BY compute_profiles.name LIMIT 1

2015-04-30 11:22:02 [D]   ComputeProfile Load (0.2ms)  SELECT "compute_profiles".* FROM "compute_profiles" ORD

ER BY compute_profiles.name

2015-04-30 11:22:02 [D]   ComputeResource Load (0.2ms)  SELECT "compute_resources".* FROM "compute_resources" 

ORDER BY compute_resources.name

2015-04-30 11:22:02 [D]   ComputeResource Exists (0.4ms)  SELECT 1 AS one FROM "compute_resources" WHERE ("com

pute_resources"."name" = 'oVirt' AND "compute_resources"."id" != 1) LIMIT 1

2015-04-30 11:22:02 [I] Successfully decrypted field for Foreman::Model::Ovirt oVirt

2015-04-30 11:22:02 [I] Successfully decrypted field for Foreman::Model::Ovirt oVirt

2015-04-30 11:22:04 [D]    (0.4ms)  SELECT COUNT(*) FROM "images" WHERE "images"."compute_resource_id" = 1

2015-04-30 11:22:04 [I]   Rendered compute_resources_vms/form/ovirt/_base.html.erb (1259.5ms)

2015-04-30 11:22:05 [I]   Rendered compute_resources_vms/form/ovirt/_network.html.erb (1099.0ms)

2015-04-30 11:22:05 [I]   Rendered compute_resources_vms/form/_networks.html.erb (1100.5ms)

2015-04-30 11:22:05 [I]   Rendered compute_resources_vms/form/ovirt/_volume.html.erb (373.5ms)

2015-04-30 11:22:05 [I]   Rendered compute_resources_vms/form/_volumes.html.erb (375.1ms)

2015-04-30 11:22:05 [I]   Rendered compute_attributes/_compute_form.html.erb (2736.6ms)

2015-04-30 11:22:05 [I]   Rendered compute_attributes/_form.html.erb (3480.3ms)

2015-04-30 11:22:05 [I]   Rendered compute_attributes/new.html.erb (3483.7ms)

2015-04-30 11:22:05 [I] Completed 200 OK in 3493ms (Views: 3483.3ms | ActiveRecord: 2.5ms)

2015-04-30 11:22:09 [I] 

Started POST "/compute_resources/1-oVirt/template_selected" for 192.168.2.205 at 2015-04-30 11:22:09 +0300

2015-04-30 11:22:09 [I] Processing by ComputeResourcesController#template_selected as */*

2015-04-30 11:22:09 [I]   Parameters: {"template_id"=>"980daa9f-4fbe-4b94-8f2e-8361cd5c3dbf", "id"=>"1-oVirt"}

2015-04-30 11:22:09 [D]   User Load (0.4ms)  SELECT "users".* FROM "users" WHERE "users"."id" = $1 LIMIT 1  [[

"id", 3]]

2015-04-30 11:22:09 [D] Setting current user thread-local variable to root

2015-04-30 11:22:09 [D]   AuthSource Load (0.5ms)  SELECT "auth_sources".* FROM "auth_sources" WHERE "auth_sou

rces"."id" = 1 LIMIT 1

2015-04-30 11:22:09 [D]   ComputeResource Load (0.4ms)  SELECT "compute_resources".* FROM "compute_resources" 
WHERE "compute_resources"."id" = $1 ORDER BY compute_resources.name LIMIT 1  [["id", "1-oVirt"]]

2015-04-30 11:22:09 [I] Successfully decrypted field for Foreman::Model::Ovirt oVirt

2015-04-30 11:22:11 [I] Completed 200 OK in 2061ms (Views: 1035.6ms | ActiveRecord: 1.3ms)

 When the icon (opposite field "Template") appears, the log is no longer any.

#3 - 07/11/2015 03:11 PM - Steve D

I have the same issue with Ovirt 3.5 & Foreman 1.8.2.

If I've defined an image under compute resource then it will be listed in the Image dropdown, but grayed out.

If I have more than one image under compute resource then the image dropdown will say "Please select an Image" but it is still grayed out.

In either case the little progress indicator beside the Template field never stops spinning.

Lastly when I create a new host using Operating System -> Provisioning Method -> "Image Based" the image dropdown is empty, leading to no

volume being created on the VM in Ovirt.

#4 - 05/20/2017 06:28 AM - Anonymous

what's the status here with current versions?

#5 - 08/06/2017 07:07 AM - Anonymous

- Status changed from New to Feedback

Files

Screenshot from 2015-04-29 17_56_54.png 58.1 KB 04/30/2015 Mihail Sergeenkov
